Bug 111994 - Assertion failed when closing a saved document
Summary: Assertion failed when closing a saved document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Windows (All)
: medium major
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: VCL-Scheduler Assert
  Show dependency treegraph
 
Reported: 2017-08-24 01:01 UTC by Aron Budea
Modified: 2017-09-24 03:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-24 01:01:02 UTC
Open Writer in a debug build.
Save an empty document, then close it (but don't exit LO).

=> There is an assertion failed error.
In vcl/win/app/salinst.cxx, line 725

Expression: ! "Multiple timers in queue"

Seems related to scheduling, and Win only.
Observed using a recent 6.0 master build (1ba1bb96659d0048bff2a9a15646f6e1e04bd2c4) / Windows 7.
Comment 1 Julien Nabet 2017-08-24 18:06:26 UTC
Fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=38fa44435a428685b4ac59ee98972a8521942225

(The assert was wrong)
Comment 2 Aron Budea 2017-09-08 17:29:43 UTC
I'm afraid not, it's still occurring with the same steps, at the same point.
With master build from 09-07 / 91d909ac8ec53ea135401babe8227f9c41b779b8.
Comment 3 Commit Notification 2017-09-22 11:00:54 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=448e9da1b440561441602e3a0956218b2702767e

tdf#111994 WIN workaround PostMessage delays

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-09-22 23:39:23 UTC
Moving to NEW since there's a commit in master for this issue.